Subject: Re: Can't build doc anymore (v1.7.3.2)

From: Francis Moreau <[email-masked]>
Date: Tue, 23 Nov 2010 17:30:46 +0100

Drew Northup <[email-masked]> writes:

> On Tue, 2010-11-23 at 09:45 +0100, Michael J Gruber wrote:
>> Francis Moreau venit, vidit, dixit 23.11.2010 08:50:
>> > Drew Northup <[email-masked]> writes:
>> > 
>
>> > [...]
>> > 
>> >> Supposedly docbook-dtds-1.0-53.fc14 contains the files needed. I would
>> >> check to make sure that your /usr/share/sgml/docbook/xmlcatalog file is
>> >> correct. If it is it will contain a line an awful lot like the
>> >> following:
>> >> <public publicId="-//OASIS//DTD DocBook XML V4.5//EN" uri="xml-dtd-4.5/docbookx.dtd"/>
>> > 
>> > It doesn't seem so:
>> > 
>> >   $ cat /usr/share/sgml/docbook/xmlcatalog
>> >   <?xml version="1.0"?>
>> >   <!DOCTYPE catalog PUBLIC "-//OASIS//DTD Entity Resolution XML Catalog V1.0//EN" "http://www.oasis-open.org/committees/entity/release/1.0/catalog.dtd">
>> >   <catalog xmlns="urn:oasis:names:tc:entity:xmlns:xml:catalog"/>
>
> Ok, before we get too far down the rabbit hole, is that EVERYTHING in
> your xmlcatalog?

yes it is.

> If it is then you have an install error (I downloaded the spec file
> and read it extra closely just to be sure). In FC14 the xmlcatalog
> file is not provided as whole cloth but it is built by the
> post-install script. If that script failed to run to completion you
> will have missing parts to your docbook-dtds package installation.

ah that may explain why mine is incomplete.

>> > This file belongs to xml-common-0.6.3-33.fc14.noarch which sounds
>> > pretty uptodate for a Fedora distribution.
>
> Yes, it is the latest in the FC git repo collection for that package as
> well.
>
>> > 
>> > Here's a list of some packages installed on my system that might be
>> > relevant:
>> > 
>> >   asciidoc-8.4.5-5.fc14.noarch
>> >   docbook-utils-0.6.14-26.fc14.noarch
>> >   docbook-style-xsl-1.75.2-6.fc14.noarch
>> >   docbook-style-dsssl-1.79-11.fc14.noarch
>> >   docbook-dtds-1.0-53.fc14.noarch
>> >   xml-commons-resolver-1.2-4.fc14.noarch
>> >   xmlto-0.0.23-3.fc13.x86_64
>> >   xmltex-20020625-16.fc13.noarch
>> >   libxml2-devel-2.7.7-2.fc14.x86_64
>> >   libxml2-python-2.7.7-2.fc14.x86_64
>> >   libxml++-2.30.1-1.fc14.x86_64
>> >   libxml2-2.7.7-2.fc14.i686
>> >   libxml++-2.30.1-1.fc14.i686
>> >   xml-common-0.6.3-33.fc14.noarch
>> >   xml-commons-apis-1.4.01-1.fc13.noarch
>> > 
>> 
>> I have no problems building the doc on F14 with
>> 
>> ASCIIDOC8=y
>> ASCIIDOC_NO_ROFF=y
>> DOCBOOK2X_TEXI=db2x_docbook2texi
>> 
>> in my config.mak (besides other stuff), with these versions:
>> 
>> asciidoc-8.4.5-5.fc14.noarch
>> docbook2X-0.8.8-7.fc14.x86_64
>> docbook-dtds-1.0-53.fc14.noarch
>> docbook-style-dsssl-1.79-11.fc14.noarch
>> docbook-style-xsl-1.75.2-6.fc14.noarch
>> docbook-utils-0.6.14-26.fc14.noarch
>> libxml2-2.7.7-2.fc14.x86_64
>> libxml++-2.32.0-1.fc14.x86_64
>> libxml2-python-2.7.7-2.fc14.x86_64
>> python-lxml-2.2.8-1.fc14.x86_64
>> xml-common-0.6.3-33.fc14.noarch
>> xmlto-0.0.23-3.fc13.x86_64
>> 
>> (libxml is irrelevant)
>> 
>> Are you sure you have no other xmlto (type -a xmlto) and no tinkering
>> with the default style sheet config?
>> 
>> Michael
>
> Before you get too much further along chasing phantoms, please have a
> look back into the mailing list at the problems I had just enumerated
> with respect to building the man pages when missing the docbook 4.5
> declarations and files in my local xmlcatalog. I got EXACTLY THE SAME
> ERRORS ORIGINALLY NOTED. That's why I answered the original query to the
> list.

Could you give me the message-id ?

> I recommend re-installing the docbook-dtds package alone and in
> isolation from other Yum/RPM transactions. If the xmlcatalog file is
> correctly regenerated AND the docbook files are there AND you have
> (re)run ./configure prior to running make AND you don't have filesystem
> errors THEN you should have a successful build. (Barring something that
> crawls up out of the rabbit hole--other than a rabbit.)

Ok I'll try.

> Fix the most obvious possible problems first before seeking
> off-the-beaten-path solutions or worse blaming somebody.

Well that wasn't obvious for me that the catalog was not complete. I
also hope that I haven't blamed anyone so far for the trouble I'm
having...

-- 
Francis